%define version 0.0.9
%define release 1mdk

%define libggz_version 0.0.9
%define ggz_client_libs_version 0.0.9

Name:		ggz-kde-client
Summary:	GGZ Gaming Zone Client in KDE interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggzgamingzone.org/
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2
Patch0:		ggz-kde-client-0.0.9-buildfix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
Buildrequires:	kdelibs-devel
Requires:	libggz = %{libggz_version}
Requires:	ggz-client-libs = %{ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client in KDE user interface.

%prep
%setup -q
%patch0 -p1 -b .buildfix

%build
%configure2_5x \
	--with-xinerama \
	--disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# fix crappy kde stuff
rm -rf ./ggzcore++-doc
mv %{buildroot}%{_docdir}/ggzcore++ ./ggzcore++-doc
rm -f %{buildroot}%{_docdir}/HTML/en/kggz/common
ln -sf ../common %{buildroot}%{_docdir}/HTML/en/kggz/common

# menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/kggz" \
 icon="other_amusement.png" \
 longtitle="GGZ Gaming Zone game client with KDE interface" \
 needs="kde" \
 section="More Applications/Games/Other" \
 title="GGZ KDE Game Client"
_EOF_

# remove unneeded files
rm -f %{buildroot}%{_libdir}/kde3/*.la

%find_lang %{name} --all-name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ TODO
%doc ggzcore++-doc
%doc %{_docdir}/HTML/en/kggz
%doc %{_docdir}/HTML/en/kioslave/ggz*

%{_bindir}/*
%{_libdir}/kde3/*.so

%{_datadir}/applnk/Games/ggz
%{_datadir}/applnk/Settings/Network/kcmggz.desktop
%{_datadir}/applnk/.hidden/shadowbridge.desktop

%{_datadir}/apps/keepalivecontrol
%{_datadir}/apps/kggz
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/services/*.protocol
%{_datadir}/config/*

%{_menudir}/%{name}

%changelog
* Mon Nov 29 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- P0: Fix build
- Somehow things installed into bindir, I don't want to use too
  much time to fix this crap anyway

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Drop patch0 (better fix upstream)
- Add menu entry

* Sun Sep 07 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: ggz.snafu.de is no more, thus change default servers
- no libdification anymore, library is merged back into client
- find_lang, BuildRequires and other assorted cleanup

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (split off libggz-kde1/libggz-kde1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Apr 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
